[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.Create

Constructor for the class instance.

## Declaration

Source position: imglist.pp line 321

`public constructor TCustomImageList.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the constructor for the class instance. Create calls the inherited constructor, and sets the default values for the following properties:

Height
  16 (pixels)
Width
  16 (pixels)

Create calls the Initialize method to allocate resources and to set the default value for properties used in the image list.

Use the alternate CreateSize constructor to create an image list using specific values in its Width and Height properties.

## See also

TCustomImageList.Width |  | Width of images in the default resolution for the image list.
TCustomImageList.Height |  | Height of images in the default resolution for the image list.
TCustomImageList.Initialize |  | Performs the initial set up for the image list.
TCustomImageList.CreateSize |  | Initializes the image list using the specified height and width.